org.apache.ode.bpel.common

## Enum InstanceFilter.StatusKeys

- java.lang.Object
- - java.lang.Enum<InstanceFilter.StatusKeys>
  - - org.apache.ode.bpel.common.InstanceFilter.StatusKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<InstanceFilter.StatusKeys>
  Enclosing class:
    InstanceFilter

      public static enum InstanceFilter.StatusKeys
      extends java.lang.Enum<InstanceFilter.StatusKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVE`
    `COMPLETED`
    `ERROR`
    `FAILED`
    `FAULTED`
    `SUSPENDED`
    `TERMINATED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InstanceFilter.StatusKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static InstanceFilter.StatusKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVE

          public static final InstanceFilter.StatusKeys ACTIVE

    - #### SUSPENDED

          public static final InstanceFilter.StatusKeys SUSPENDED

    - #### ERROR

          public static final InstanceFilter.StatusKeys ERROR

    - #### COMPLETED

          public static final InstanceFilter.StatusKeys COMPLETED

    - #### TERMINATED

          public static final InstanceFilter.StatusKeys TERMINATED

    - #### FAILED

          public static final InstanceFilter.StatusKeys FAILED

    - #### FAULTED

          public static final InstanceFilter.StatusKeys FAULTED

  - ### Method Detail

    - #### values

          public static InstanceFilter.StatusKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InstanceFilter.StatusKeys c : InstanceFilter.StatusKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InstanceFilter.StatusKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null